<html>
<head>
	<script language=JavaScript>
		function isANumber(){
			var numExp = /^[0-9]+$/;
			if(document.forms["myform"].phone.value.match(numExp)){
				return true;
			}
			else{
				alert("Not a number");
				document.forms["myform"].phone.focus();
				return false;
			}
		}
    </script>
</head>
<body>
	<form name="myform" onSubmit="return isANumber();">
    	<input type="text" name="phone">
        <input type="submit" value="Submit">
    </form>
</body>
</html>
